Scriptname GEmotionCombinator extends GEmotionStore

;; ---------------------------------------------------------------------------------------------------------------------------------------------
;; Function: ComputeRage
;; ---------------------------------------------------------------------------------------------------------------------------------------------
;; This function demonstrates how an emotion can be classified differently based on its intensity.
;; ---------------------------------------------------------------------------------------------------------------------------------------------
bool Function ComputeRage()
	bool rage = false

	if GetAnger() > 75
		rage = true
	endif
	
	return rage
EndFunction

;; ---------------------------------------------------------------------------------------------------------------------------------------------
;; Function: GetAwe
;; ---------------------------------------------------------------------------------------------------------------------------------------------
;; This function demonstrates how core emotions can be combined to create complex emotions.
;; ---------------------------------------------------------------------------------------------------------------------------------------------
int Function GetAwe()
	return Math.Ceiling((GetFear() + GetSurprise()) / 2)
EndFunction