Scriptname GApplyingDetection extends ActiveMagicEffect

Actor Property PlayerREF Auto

Event OnEffectStart (Actor akTarget, Actor akCaster)
	;;Debug.Notification(akTarget.GetBaseObject().GetName() + " has been hit by the cloak cast by " + akCaster.GetBaseObject().GetName())
	
	if (akCaster.IsDetectedBy(akTarget) == true)
		if (akTarget.HasLOS(akCaster) == true)
			;;Debug.Notification(akTarget.GetBaseObject().GetName() + " has seen you")

			ReferenceAlias emotionAliasTarget = FindNPCEmotions(akTarget)
			
			ReferenceAlias emotionAliasCaster
			if (akCaster == PlayerREF)
				int lim = akCaster.GetNumReferenceAliases()
				int i = 0
				while (i < lim)
					if (akCaster.GetNthReferenceAlias(i).GetName() == "PlayerData")
						emotionAliasCaster = akCaster.GetNthReferenceAlias(i)
						i = lim
					endif
					i = i + 1
				endwhile
			else
				emotionAliasCaster = FindNPCEmotions(akCaster)
			endif
			
			if (emotionAliasTarget != none)
				if (emotionAliasTarget as GLorthiem)
					;;Debug.MessageBox("[GLortheim Cloak] Calling GLaDOS: " + akTarget.GetBaseObject().GetName() + " is evaluating " + akCaster.GetBaseObject().GetName())
					(emotionAliasTarget as GLorthiem).RunGLaDOSForPlayer((emotionAliasCaster as GPlayer).GetSelfProfile())			
				endif
			endif
		endif
	endif
	
	;;if (akTarget.IsDead() == false)
	;;	akTarget.AddSpell(DetectionAbility)
	;;endif
	
	return
EndEvent

ReferenceAlias Function FindNPCEmotions (Actor doe)
	ReferenceAlias emotions
	
	int lim = doe.GetNumReferenceAliases()
	int i = 0
	while (i < lim)
		if (StringUtil.Find(doe.GetNthReferenceAlias(i).GetName(), "Emotions") > -1)
			emotions = doe.GetNthReferenceAlias(i)
			i = lim
		endif
		i = i + 1
	endwhile
	
	return emotions
EndFunction